from api_graphql.abc.db_model_query_abc import DbModelQueryABC


class RoleQuery(DbModelQueryABC):
    def __init__(self):
        DbModelQueryABC.__init__(self, "Role")

        self.set_field("name", lambda x, *_: x.name)
        self.set_field("description", lambda x, *_: x.description)
        self.set_field("permissions", lambda x, *_: x.permissions)
        self.set_field("users", lambda x, *_: x.users)
